I wanted to know if there is a way to add points/nodes to all the centers of all the circles in my drawing with only a few steps, vs picking 700 circles one at a time using( _point) command.
I am trying to figure out how I can rotate many different circles (could really be any shape) aound a single point? For example, say I have 10 identically sized circles and want to rotate each one tangent to a single point every 36 degrees. Hopefully I am making sense and explaining the situation correctly. Is there a quick method using CorelDraw's tools/features to accomplish this task?
I am woring with Civil 3d '14. For some reason all of my points, even though they have assigned elevations, their nodes are at 0.00 which makes it difficult to do any soft of point grading. How to adjust the settings so the point node is at the elevation of the point? The image attached shows a line which was drawn from the node of one point to the node of another point. Notice the z elevation of said line.
I'm working with some drawings (from others) that have some points that aren't selectable by node (although I can draw a line by points). I've isolated it to the Point Style. Trouble is, I can't seem to find anything out of the ordinary when I go to those settings.
Is there a setting that I am missing where if your osnap is set to node, it will snap to the node if you hover over the point text? I seem to remember this working in versions before 2012.
Back in LDT you used to be able to mouse over point descriptions of dragged state points to get Osnap to select the node. Civil 3D has apparently done away with this, why who knows but its very very hard to know what point your selecting if say you have a bunch of points on top of eachother. Can this be enabled anywhere?
The very mundain work around is to use 'PO to select the point entity, but it does not show the little osnap indicator on the point marker when you use 'PO.
In AutoCad when the text is aligned with "Middle Center" has two points, but in C #, I only managed to capture one of the points using: myText_DBText.Position.
Is there a reason why the "node" osnap won't recognoze certain point markers? I have recently begun using named plot styles and I have been revising some of our markers to reflect this. I have noticed that some of the point markers (it seems like markers that use a circle as part of the marker) won't show the node marker no matter how I hover around it. Others seem to be normal.
I think this issue started with SP2. I don't remember having these issues in SP1 and earlier.
Create some COGO points at varying elevations.Start a new feature line.Use "node" object snap and pick your first cogo pointIt does not pick up the elevation of the point (it used to)Now draw feature line segments to a few more cogo points entering the elevation each time.It does not pick up the elevation of the point (it used to)Now switch to Arc mode and snap to a few more cogo points.It does correctly picks up the elevation of the cogo points (like it used to)R.K. McSwain | CADpanacea | twitter | Cadalyst tips/code
change all circles of a certain diameter in a .dxf file to points. I received the following lisp file. For the last 10-12 years it has worked great. We create many custom sized parts that could be cut on a plasma (utilizing the circles for holes) or punched, assigning a crosshair tool to the point. Now we are switching to a laser, and want to etch a crosshair at this same location. Our solution has been to draw the crosshair and copy to each required location. Sometimes this may be 20 to 30 locations. Now I would like to know if there is a way to replace all of these circles with a crosshair. This could be a similar lisp file, or an easier manual operation. I know that I can select all of the circles using the filter command and specifying the radius. But I don't know how to assign the 'crosshair' to these locations. (defun c:ctopt ( / ename cnt ss) (setq ss (ssget "x" '((0 . "CIRCLE")))) (if ss (progn (setq cnt 0) (repeat (sslength ss) (setq ename (ssname ss cnt)) (if (equal (cdr (assoc 40 (entget ename))) 0.025 0.005) ;use this line for a radius 0.025 +/- 0.00015 ;(<= (cdr (assoc 40 (entget ename))) 0.05) ;use this line for a radius of 0.05 or less (progn (entmake (list '(0 . "POINT") (assoc 10 (entget ename))(assoc 8 (entget ename)))) (entdel ename) )) (setq cnt (1+ cnt)) ) ) ) (princ) )
I am using to export meshes to OpenGL ES for the Android. What I would like to do is place a rectangle with one corner at (1,1,0) and the other corner at (-1,-1,0) which represents the two corners of the Android screen in OpenGL ES. How would that best be done in 3D Studio MAX?
I am trying to creating an extrusion with a sketch containing multiple circles. However, the AddForSolid() Method is not working properly, returning non-NOERROR is C++. Below is the code that I used to create a sketch(which is succeeded) and then try to create a extrusion (in my case cutting).
There are two things going on in the origina: the S-shaped semi-transparent overlay, and a linear gradient that lightens on the top and bottom and darkens in the middle. Also, note the transparent space between the "outline shape" and the inner circles.
So - two things. 1) How do I apply a gradient to the entire shape, and 2) put the all-white overlay on top (overlay should be confined to the shape as well).
Working with scientific figures containing circles, squares, etc in CS4. How can I resize many circles to be 1.5 by 1.5 mm, for example, after they have been skewed a bit to make the entire graph the same size as adjacent figures? In other words, I import the graph from elsewhere and to touch it up I have to resize it a bit. Resizing the whole figure distorts the circle to an ellipse and I want to turn it back into a circle. Takes too long to select each shape and indicate the size.
Any way to change the size of the circles that I made so that they all enlarge yet keep their respected positions. So for the example below, I would like to just enlarge the circles and not the rest. If I select all the circles and drag them to enlarge, they lose their position. Is there a way to do this? This script [URL] ...... doesn't work for x6 but I think it is what I might need, correct?
I'm currently sitting with the following problem in CorelDraw 11:
I have four circles, one inside the other, with the circles getting smaller towards the centre. I want the two outer circles to be joined and the two inner circles to be joined. Text will be placed on top of these circles and I want to cut out those sections of the circle which will be covered by the text. The circles will also be filled with different colours. Simply placing the text on top of the 'rings' is not an option as the there are also two logos on the right which cover part of the circle (the part which I want to 'cut' out).
I've tried Combine and the Knife tool but somehow I just don't seem to achieve my goal. This would be a lot easier to explain if I could upload a PDF of the image.
I'm trying to make a logo. Circular logo with an inner ring maybe 4 px wide and 15 px inside the rim of the outer circle.
Basically I want a blue circle with a yellow inside ring. What's the best way of doing this? The only thing i can think of is: creating a blue circle marquee, and then another (trying to estimate a new circle size and change the color) that is yellow, and then making another smaller blue circle inside the new one. That's just ugly.
I tried the edit/stroke but that just gave me a stroke around the outer circle; it didn't put a ring inside the circle 15 px down.
Also I tried to contract the original circle by selecting it, then Modify/contract. That's got me a selected ring, inside the circle. Now how in the world do I make that little ring yellow? It just remains selected and I can't seem to find a way to color it.
It is my understanding that C3D will only display the first point when there's more than 1 code for a survey point.
My first thought was to copy the line in the PENZD txt file and edit so that there's only 1 code listed. I tried appending the point number with "A" and ".1" without luck I assume I would need to use the next available point number.
An example of my txt file is:
17371,298429.877,568639.651,801.030,LPM SGN This produces only the light pole symbol and not the sign.
C3D 2012 sp1 W7Pro 64bit HP Z400 Workstation 16 GB RAM Intel Xeon CPU W3565@3.20GHz NVIDIA Quadro 4000
I have about 50 point groups that the client needs in an ENZ format, is it possible to export them all at once with the name of the point group being the name of the file?
if so, the more annoying part of this is that I actually have to make the ENZ file an ENZD file with the D being the name of the file for each point, if both of these things are possible
if its possible to have a command which does a multiple distance? at the moment im drawing a polyline, doing a list on it then deleting it, which is a bit mudane now.
I am running into a problem where Civil 3D is creating multiple point groups of my 4 existing groups (the original group names are Topo, Existing Ground, Hide, and All Points). The new groups seem to be copies of the originals in terms of styles but do not include the points that were designated in the originals (no points are assigned in these copies).
The groups appear some time after I create the surface.
I've also noticed that this occurs in my list of grading criteria as well.
What I am trying to do is create a selection set of blocks with the same name. Then step through the selection set and if the block has an attribute "Tag" with a Specific "Value" then get the insert point.
I am attempting to do a macro that will allow me to select multiple objects and then move them in only ONE axis. For example, If I want to move a wall, the door and the window in the Y axis to align with another wall across the hall. I have attempted to do this in a button macro, but so far its limited. Here is the macro
^c^c_move;\.xz;@;
This will allow me to click the customized button, then select ONE object by a displacement, and it will only move it in the Y axis and allows me to choose the point with a mouse click of the final location.
When I try to select more than one object, it kicks me ahead in the commands and prompts for (needs Y). how I can figure out the correct macro?
I need to scale up about 300 circles (manholes) but i need to hold the center point of each manhole. is there a command for this so i don't have to scale each individual circle?